Skip to main content
PATCH
/
v1
/
reporters
/
{reporter_id}
/
schedules
/
{schedule_id}
Update schedule
curl --request PATCH \
  --url https://api.clipping.cc/v1/reporters/{reporter_id}/schedules/{schedule_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "enabled": true,
  "interval_hours": 123,
  "workflow_id": "<string>",
  "max_videos_per_channel": 123,
  "max_age_hours": 123
}
'
{
  "schedule": {
    "schedule_id": "<string>",
    "reporter_id": "<string>",
    "name": "<string>",
    "enabled": true,
    "interval_hours": 123,
    "workflow_id": "<string>",
    "collection_ids": [
      "<string>"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.clipping.cc/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key: Authorization: Bearer ck_live_…

Path Parameters

reporter_id
string
required
schedule_id
string
required

Body

application/json
name
string
enabled
boolean
interval_hours
integer
workflow_id
string
max_videos_per_channel
integer
max_age_hours
integer | null

Response

Updated.

schedule
object